Tab Mix Plus is incompatible with Firefox 17 - update it to fix the issue

Revision Information
  • Revision id: 34298
  • Created:
  • Creator: Tylerdowner
  • Comment: TMP has updated, updated article to include that info
  • Reviewed: No
  • Ready for localization: No
Revision Source
Revision Content

Why was Tab Mix Plus marked incompatible with Firefox 17?

We received a number of reports that menu items were not working in Firefox 17. Further investigation showed that Tab Mix Plus 0.4.0.3 was causing these issues. In an effort to provide the best experience for our users, we chose to mark the add-on incompatible. The Developer of Tab Mix Plus has since released an update that fixes these issues, 0.4.0.3.1.

What do I do so I can use Tab Mix Plus?

If you haven't installed the dev build of Tab Mix Plus, you can simply update your Add-ons to install the latest version.


If you installed the Dev version of Tab Mix Plus

If you installed the Dev Version of Tab Mix Plus, you will have to remove it before installing the updated release.

  1. Open the Firefox Add-on Manager by typing "about:support" into your address bar and pressing Enter.
  2. Click on Extensions.
  3. Uninstall the Tab Mix Plus Dev-Build and Restart Firefox.
  4. Go to Tab Mix Plus' Add-on Page and click "Add to Firefox".

Please read Find and install add-ons to add features to Firefox for further information.